WordPress.org

Make WordPress Core

Opened 4 years ago

Closed 4 years ago

#14632 closed defect (bug) (worksforme)

Apache aborting after upgrade to 3.0

Reported by: donpaolo Owned by:
Milestone: Priority: normal
Severity: normal Version:
Component: General Keywords:
Focuses: Cc:

Description

I Upgraded my wordpress installation to 3.0 (windows platform), and now every once and while Apache aborts due to this error:

[Wed Aug 18 04:50:18 2010] [apc-error] Cannot redeclare class wp_locale in D:\serverweb\qumranblog\wp-settings.php on line 251. [Wed Aug 18 04:50:18 2010] [crit] Parent: child process exited with status 2 -- Aborting.

Line 251 of wp-settings.php:

require( ABSPATH . WPINC . '/locale.php' );

changing it to

require_once( ABSPATH . WPINC . '/locale.php' );

should solve the problem.

Change History (1)

comment:1 nacin4 years ago

  • Milestone Awaiting Review deleted
  • Resolution set to worksforme
  • Status changed from new to closed

You have a plugin improperly loading locale.php before WordPress does.

That plugin is probably listed here: http://wordpress.org/support/topic/30-issues-thread.

Note: See TracTickets for help on using tickets.